For the complete documentation index, see llms.txt. This page is also available as Markdown.

Groups

Groups of Inbox Users

get

List the Groups in your Inbox.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Query parameters
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/api/v1/groups/
GET /api/v1/groups/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}
get

Get a single Group.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this user group.

Responses
200Success
application/json
idintegerRead-onlyRequired
namestring · max: 1000Required
get/api/v1/groups/{id}/
GET /api/v1/groups/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "id": 1,
  "name": "text"
}

Last updated

Was this helpful?